Package: org.gradle.api

## [Java] Interface NamedDomainObjectFactory<T>

- A factory for named objects of type `T`.

  Parameters:
    `` - The type of objects which this factory creates.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `T` | `create(String name)` Creates a new object with the given name.

- - ### Method Detail

    - #### public T create(String name)

      Creates a new object with the given name.

      Parameters:
        `name` - The name
      Returns:
        The object.